{% extends 'static_event.html' %} {% block content %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" href="/" style="color:#20a9f8;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">RAD</span>
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Event
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event/create-event">Create Event</a>
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Adopsi
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi/create-adopsi">Create Adopsi</a>
                    <a class="dropdown-item" href="/adopsi/">List Adopsi</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Statistik
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Statistik Dokter</a>
                    <a class="dropdown-item" href="#">Statistik Grooming</a>
                    <a class="dropdown-item" href="#">Statistik Event</a>
                    <a class="dropdown-item" href="#">Statistik Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>

<head>
    <title>Create Event</title>
    <script src="https://kit.fontawesome.com/98a151f25f.js" crossorigin="anonymous"></script>
</head>
<div class="container">
    <!-- Outer Row -->
    <main id="main">
        <section>
            <div class="container-fluid text-center">
                <br>
                <h2 style="color:#000000;
                font-family: 'Poppins', sans-serif;
                font-size: 24px;
                font-weight: 600;">Create Event</h2>
                <div class="row justify-content-center">
                    <div class="col-md-8">
                        <a href="/event" class="text-left">
                            <p> <i class="fa-solid fa-chevron-left"></i>&nbsp;&nbsp; List Event</p>
                        </a>
                    </div>
                </div>


                <div class="row justify-content-center">
                    <div class="col-md-8">
                        <div class="card">
                            <div class="card-body">
                                <form class="user" method="POST">
                                    {% csrf_token %} {% if form.errors %}
                                    <div class="alert alert-danger text-left">{{ form.non_field_errors }}</div>
                                    {% endif %}
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4">Nama Event:</label>
                                            <div class="col-sm-8">
                                                <input type="text" name="{{ form.title.name }}" class="form-control" id="title" placeholder="e.g. Vaksin Kucing" maxlength="25" required>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4">Lokasi Event (General):</label>
                                            <div class="col-sm-8">
                                                <input type="text" name="{{ form.general_location.name }}" class="form-control" id="general_location" placeholder="e.g. Jakarta Selatan" maxlength="20" required>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4">Lokasi Event (Spesifik):</label>
                                            <div class="col-sm-8">
                                                <input type="text" name="{{ form.specific_location.name }}" class="form-control" id="specific_location" placeholder="e.g. Gedung A Jakarta Selatan" required>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4">Waktu Mulai:</label>
                                            <div class="col-sm-8">
                                                <input type="datetime-local" name="{{ form.start_time.name }}" class="form-control" id="start_time" placeholder="start_time" required>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4">Waktu Selesai:</label>
                                            <div class="col-sm-8">
                                                <input type="datetime-local" name="{{ form.end_time.name }}" class="form-control" id="end_time" placeholder="end_time" required>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4">Deskripsi:</label>
                                            <div class="col-sm-8">
                                                <textarea name="description" rows="5" cols="48" id="description" placeholder="e.g. Vaksin kucing gratis" required></textarea><br>
                                            </div>
                                        </div>
                                        <div class="row mt-4">
                                            <label class="col-sm-4">Pendaftar Event:</label>
                                            <div class="col-sm-8 text-left">
                                                <label for="isVIP"> 
                                                    <input type="checkbox" id="isVIP" name="isVIP" style="width: 20px; height: 20px;">
                                                    &nbsp;&nbsp;<span class="fa-solid fa-crown"></span>&nbsp;&nbsp;
                                                    Khusus member VIP
                                                  </label>
                                            </div>



                                        </div>
                                        <div class="mt-5 text-center">
                                            <button class="btn btn-primary px-4" type="submit">Create</button>
                                        </div>
                                        <br>
                                </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

            <script>
                // Get the next day date and time
                const now = new Date();
                now.setDate(now.getDate() + 1);
                const year = now.getFullYear();
                const month = (now.getMonth() + 1).toString().padStart(2, '0');
                const day = now.getDate().toString().padStart(2, '0');
                const hour = now.getHours().toString().padStart(2, '0');
                const minute = now.getMinutes().toString().padStart(2, '0');
              
                // Set the min and max attributes of the datetime-local inputs
                const startInput = document.getElementById('start_time');
                startInput.min = `${year}-${month}-${day}T${hour}:${minute}`;
                startInput.max = `${year + 100}-${month}-${day}T23:59`;
                const endInput = document.getElementById('end_time');
                endInput.min = `${year}-${month}-${day}T${hour}:${minute}`;
                endInput.max = `${year + 100}-${month}-${day}T23:59`;
              
                // Add event listener to start time input to prevent selecting end time before start time
                startInput.addEventListener('input', function() {
                  endInput.min = startInput.value;
                });
              </script>
              
              

        </section>
    </main>
</div>


{% endblock content %}